This endpoint retrieves the paginated list of appointment details and statuses for the given credential. By default, appointments will be returned in descending order of start time.
A maximum of 1,000 total appointments will be returned via pagination; if more are expected, use filters and batch requests.
If the request comes from a Zocdoc user credential, only appointments that user has created will be returned. If the request comes from a machine-to-machine credential, any appointments that were booked with that developer will be returned.
Security
ClientCredentialsFlow(Required scopes: external.appointment.read) or AuthorizationCodeFlow(Required scopes: external.appointment.read)
- Sandboxhttps://api-developer-sandbox.zocdoc.com/v1/appointments
- Productionhttps://api-developer.zocdoc.com/v1/appointments
curl -i -X GET \
'https://api-developer-sandbox.zocdoc.com/v1/appointments?page=0&page_size=0&statuses=pending_booking%2Cconfirmed&developer_patient_id=string&sort_by=start_time_utc&sort_direction=ascending&practice_ids=pt_abc123-def456_wxyz7890%2Cpt_ghi123-jkl456_mnop7890&provider_ids=pr_abc123-def456_wxyz7890%2Cpr_ghi123-jkl456_mnop7890&location_ids=lo_abc123-def456_wxyz7890%2Clo_ghi123-jkl456_mnop7890&start_time_utc_min=2024-01-01%2000%3A00%3A00%2B00%3A00&start_time_utc_max=2024-01-01%2000%3A00%3A00%2B00%3A00&created_time_utc_min=2024-01-01%2000%3A00%3A00%2B00%3A00&created_time_utc_max=2024-01-01%2000%3A00%3A00%2B00%3A00&last_modified_time_utc_min=2024-01-01%2000%3A00%3A00%2B00%3A00&last_modified_time_utc_max=2024-01-01%2000%3A00%3A00%2B00%3A00' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Successful
Response
{ "request_id": "string", "page": 0, "page_size": 0, "total_count": 0, "next_url": "string", "data": [ { … } ] }